.car-card-in-categories {
  overflow: hidden;
  background: var(--white1, #fff);
  display: flex;
  gap: 24px;
  border-bottom: 1px solid var(--border1);
  padding: 16px 0;
}
.car-card-in-categories:last-child {
  border-bottom: none;
}
.car-card-in-categories-content {
  display: flex;
  flex-direction: column;
  gap: 12px;
  flex: 1;
}
/* --- Images  --- */
#full-page-image {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 9999;
  justify-content: center;
  align-items: center;
  cursor: default;
}

.fullpage-overlay {
  position: absolute;
  inset: 0;
  background: rgba(31, 31, 31, 0.9);
  z-index: 1;
}

.fullpage-swiper {
  position: relative;
  z-index: 2;
}

.fullpage-gallery img {
  max-width: 100%;
  max-height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  display: block;
  margin: 0 auto;
}

.fullpage-gallery .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 100vw;
  max-height: 100vh;
  /* width: 100vw;
  height: 100dvh; */
  box-sizing: border-box;
}

.fullpage-gallery .swiper-button-close {
  position: fixed;
  top: 20px;
  right: 30px;
  color: white;
  font-size: 40px;
  cursor: pointer;
  z-index: 10000;
  line-height: 1;
}

.fullpage-gallery .swiper-button-next,
.fullpage-gallery .swiper-button-prev {
  color: white;
}

.swiper-button-next::after,
.swiper-button-prev::after {
  display: none;
}

.fullpage-gallery .swiper-button-next svg,
.fullpage-gallery .swiper-button-prev svg {
  width: unset;
  height: unset;
}

.fullpage-gallery .swiper-button-next,
.fullpage-gallery .swiper-button-prev {
  top: 55%;
}

.fullpage-gallery .thumbs-prev,
.fullpage-gallery .thumbs-next {
  top: 50%;
}

.fullpage-gallery .swiper-button-next,
.fullpage-gallery .swiper-button-prev,
.fullpage-gallery .thumbs-prev,
.fullpage-gallery .thumbs-next {
  position: absolute;
  transform: translateY(-50%);
  z-index: 10;
  width: 40px;
  height: 40px;
  border-radius: 2px;
  background: rgba(31, 31, 31, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  color: var(--white1);
}
/* Sold price */
.sold-price {
  color: var(--redError);
}
/* Left arrows */
.fullpage-gallery .thumbs-prev {
  left: 10px;
}

.fullpage-gallery .swiper-button-prev {
  left: 20px;
}

.fullpage-gallery .swiper-button-prev svg,
.fullpage-gallery .thumbs-prev svg {
  transform: rotate(180deg);
}

/* Right arrows */
.fullpage-gallery .thumbs-next {
  right: 10px;
}

.fullpage-gallery .swiper-button-next {
  right: 20px;
}

.car-card-in-categories-image-wrapper {
  position: relative;
  width: 320px;
  height: 247px;
  overflow: hidden;
  cursor: zoom-in;
}

.car-card-in-categories-image-wrapper img {
  width: 100%;
  height: 100%;
  display: block;
  border-radius: 8px;
  -o-object-fit: cover;
  object-fit: cover;
}

.car-card-in-categories:hover .car-card-in-categories-title a {
  color: var(--blue1);
}
.car-card-in-categories .wishlist-button:not(.active) .icon-default {
  opacity: 1;
}

.car-card-in-categories .wishlist-button:not(.active):hover .icon-hover {
  opacity: 1;
  color: var(--blue1);
}

/* --- SWIPER --- */

.car-card-in-categories-image-wrapper .swiper-button-prev,
.car-card-in-categories-image-wrapper .swiper-button-next,
.car-card-in-categories-image-wrapper .swiper-pagination {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.2s ease;
}

.car-card-in-categories-image-wrapper:hover .swiper-button-prev,
.car-card-in-categories-image-wrapper:hover .swiper-button-next,
.car-card-in-categories-image-wrapper:hover .swiper-pagination {
  visibility: visible;
  opacity: 1;
}

.swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  background-color: var(--border1);
}

.swiper-pagination-bullet-active {
  background-color: var(--blue1);
}

.swiper-button-prev::after,
.swiper-button-next::after {
  display: none;
}

.car-card-in-categories-image-wrapper .swiper-button-prev,
.car-card-in-categories-image-wrapper .swiper-button-next {
  width: 32px;
  height: 40px;
  background-color: var(--swiperArrowBackgroundDesktop);
  border-radius: 2px;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
}

.car-card-in-categories-image-wrapper .swiper-button-prev svg,
.car-card-in-categories-image-wrapper .swiper-button-next svg {
  height: 15px;
  color: var(--white1);
}

.swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  background-color: var(--border1);
}

.swiper-pagination-bullet-active {
  background-color: var(--blue1);
}

/* badge */
.car-card-in-categories-image-wrapper .badge {
  display: none;
}
.car-card-in-categories-image-wrapper .car-card-in-categories__time-left {
  display: block;
}
.car-card-in-categories-time-left {
  background: var(--blue1, #0072ee);
  color: #fff;
  padding: 4px 8px;
  border-radius: 99px;
}
.car-card-in-categories-actions-inline .badge {
  height: 22px;
}
/* title */
.car-card-in-categories-title-row {
  display: flex;
  gap: 16px;
  align-items: flex-start;
}
.car-card-in-categories-actions-inline {
  display: flex;
  gap: 8px;
  align-items: center;
}
.car-card-in-categories-title-row h5 {
  flex: 1;
}
.wishlist-btn {
  width: 24px;
  height: 24px;
  background-color: unset;
  border: unset;
}
.wishlist-btn svg {
  stroke-width: 1px;
  color: var(--blue1, #0072ee);
  width: 100%;
  height: 100%;
}

.title-info-wrapper {
  display: flex;
  flex-direction: column;
  gap: 10px;
  flex: 1 0 0;
}
/* location */
.car-card-in-categories-info-row {
  display: flex;
  align-items: center;
  gap: 24px;
  color: var(--grey1);
}
.car-card-in-categories-info {
  display: flex;
  align-items: center;
  gap: 8px;
}
.car-card-in-categories-info svg {
  width: 14px;
  height: 14px;
}
/* switches */
.hero-options-switches {
  display: flex;
  gap: 20px;
  align-items: center;
  margin-left: auto;
}

.toggle-switch {
  position: relative;
  display: inline-flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
}

.toggle-switch input[type="checkbox"] {
  display: none;
}

.toggle-switch-background {
  width: 36px;
  height: 20px;
  background-color: var(--toggleGrey);
  border-radius: 20px;
  transition: background-color 0.3s ease;
  position: relative;
  flex-shrink: 0;
}

.toggle-switch-handle {
  position: absolute;
  top: 2px;
  left: 2px;
  width: 16px;
  height: 16px;
  background-color: var(--white1);
  border-radius: 50%;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease-in-out;
}

.toggle-switch input[type="checkbox"]:checked + .toggle-switch-background {
  background-color: var(--blueCopart);
}

.toggle-switch
  input[type="checkbox"]:checked
  + .toggle-switch-background
  .toggle-switch-handle {
  transform: translateX(16px);
}

.toggle-switch.red input[type="checkbox"]:checked + .toggle-switch-background {
  background-color: var(--redAA);
}
/* main card info */
.car-card-in-categories-main-content-wrapper {
  display: flex;
  gap: 20px;
  align-self: stretch;
}
/* Seller and other info */
.car-card-in-categories-details {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  gap: 16px;
  flex: 1 1 0;
}
.car-card-in-categories-details > div {
  display: flex;
  flex-direction: column;
  gap: 4px;
  max-width: 200px;
}
.detail-title {
  color: var(--grey1, #767676);
  font-family: Lato;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.seller-docs-wrapper {
  display: flex;
  align-items: center;
  gap: 4px;
}
.seller-docs-wrapper svg {
  width: 16px;
  height: 16px;
  flex-shrink: 0;
}
/* price */
.price-btns-wrapper {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding-right: 24px;
}
.car-card-in-categories-price-box {
  display: flex;
  height: 65px;
  padding: 12px 16px;
  align-items: center;
  gap: 12px;
  align-self: stretch;
  border-radius: 8px;
  background: var(--blues2, #f2f8fe);
}

.car-card-in-categories-price-box > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4px;
  flex: 1 0 0;
}

.car-price-styling {
  color: var(--black11, #1f1f1f);
  text-align: center;
  font-family: Lato;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.selling-price {
  color: #005fcc;
}
/* btns */
.car-card-in-categories-actions {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.car-card-in-categories-actions .btn {
  display: flex;
  height: 40px;
  padding: 10px 24px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  /* flex: 1 0 0; */
  border-radius: 4px;
  text-align: center;
}
.btn-blue {
  background: var(--blue1, #0072ee);
  color: #fff !important;
}
.btn-blue:hover {
  background-color: var(--blue1Hover);
}
.btn-outline {
  border: 1px solid var(--blue1, #0072ee);
  background: #fff;
}
.btn-outline:hover {
  border: 1px solid var(--blue1Hover);
}
/* tooltip and separator */
.separator {
  width: 100%;
  height: 1px;
  background: var(--border1, #e6edf6);
}
.tooltip-wrapper {
  position: relative;
  display: inline-block;
  flex-shrink: 0;
}

.tooltip-text {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 200px;
  padding: 6px 8px;
  transition: opacity 0.2s;
  position: absolute;
  border-radius: 4px;
  background: var(--Blue1Hover, #0059d5);
  flex: 1 0 0;
  color: var(--white1, #fff);
  font-family: Lato;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 16px;
  visibility: hidden;
  opacity: 0;
}
.tooltip-documents {
  left: 0px;
  top: -48px;
}

.tooltip-seller {
  left: 0px;
  top: -48px;
}

.tooltip-wrapper svg:hover + .tooltip-text {
  visibility: visible;
  opacity: 1;
}

/* Sold badge */
.sold-car-badge {
  display: flex;
  padding: 4px 12px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  align-self: stretch;
  border-radius: 8px;
  background: var(--red1, #d72e2e);
  color: var(--white1, #fff);
}

/* expired */
.expired {
  display: flex;
  padding: 4px 12px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 99px;
  background: var(--black1, #1f1f1f);
  color: var(--white1);
}

/* badge */
.car-card-in-categories-badges-wrapper {
  position: absolute;
  top: 10px;
  left: 10px;
  display: flex;
  gap: 6px;
  z-index: 9;
  transform: translateZ(100px);
  -webkit-backface-visibility: visible;
  backface-visibility: visible;
  will-change: transform;
  pointer-events: none;
}

/* Zoom in */
.swiper-zoom-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-zoom-container img {
  max-width: 100%;
  max-height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
}

/* responsive */
@media (max-width: 1440px) {
  .car-card-in-categories-info-row {
    flex-wrap: wrap;
    gap: 16px;
  }
  .car-card-in-categories-main-content-wrapper {
    flex-direction: column;
  }
  .car-card-in-categories-details,
  .price-btns-wrapper {
    width: 100%;
  }
}

@media (max-width: 1120px) {
  .car-card-in-categories-image-wrapper .swiper,
  .car-card-in-categories-image-wrapper .swiper-wrapper,
  .car-card-in-categories-image-wrapper .swiper-slide {
    width: 100% !important;
    height: 100% !important;
  }
}

@media (max-width: 844px) {
  .categories-filters-nav .swiper-slide {
    width: auto !important;
    flex-shrink: 0;
  }
}

@media (max-width: 768px) {
  .car-card-in-categories-badges-wrapper .badge {
    display: block;
  }

  .car-card-in-categories-image-wrapper {
    width: 100%;
  }

  .car-card-in-categories-actions-inline .badge {
    display: none;
  }

  .car-card-in-categories-title-row {
    gap: 8px;
  }

  .car-card-in-categories-title {
    color: var(--blue1);
  }

  .car-card-in-categories-info-row {
    gap: 12px;
  }

  .car-card-in-categories {
    padding: 16px;
    flex-direction: column;
    border-radius: 8px;
  }

  /* Full screen gallery */
  .fullpage-gallery img {
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    width: 100%;
  }
  .fullpage-gallery .fullpage-swiper {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .fullpage-gallery .swiper-button-close {
    right: 10px;
    top: 10px;
  }

  .fullpage-gallery .swiper-button-next {
    right: 10px;
  }
  .fullpage-gallery .swiper-button-prev {
    left: 10px;
  }
  .fullpage-gallery .swiper-button-next,
  .fullpage-gallery .swiper-button-prev {
    width: 34px;
    top: 53%;
  }

  .car-card-in-categories-actions .btn {
    height: 45px;
  }

  .car-card-in-categories-image-wrapper .swiper-button-prev,
  .car-card-in-categories-image-wrapper .swiper-button-next,
  .car-card-in-categories-image-wrapper .swiper-pagination {
    visibility: visible;
    opacity: unset;
  }
}

.status-error {
  color: var(--redError);
  background: var(--red2);
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  padding: 4px 8px;
  border-radius: 2px;
}

.status-success {
  color: var(--green1);
  background: var(--green2);
  padding: 4px 8px;
  border-radius: 2px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

.status-average {
  color: var(--yellow1);
  background: var(--yellow2);
  padding: 4px 8px;
  border-radius: 2px;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}
